Subject: bug#16466: closed (Re: bug#16466: Add support for new arch 'ppc64le' in "emacs23" upstream package)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Feb 2014 00:07:04 +0000

Your bug report

#16466: Add support for new arch 'ppc64le' in "emacs23" upstream package

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16466: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16466
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16466: Add support for new arch 'ppc64le' in "emacs23" upstream package
From: Lars Ingebrigtsen <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], [email-masked], ravi <[email-masked]>
Date: Sun, 02 Feb 2014 16:05:22 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris <[email-masked]> writes:

>> We would like to request you to upgrade "automake" in your build
>> machine to >=1.13.4 and spin-off a new version of "emacs23" and let us
>> know the new tar availability. So that we can test it on ppc64le
>> architecture for you.
>>
>> the release tarball that we picked is from
>> "http://mirrors.ispros.com.bd/gnu/emacs/emacs-24.3.tar.gz" , which
>> doesn't have the ppc64le support.
>
> I'm not sure if you are talking about Emacs 23, or Emacs 24.3.
> We stopped supporting Emacs 23 some years ago, so there will be no new
> release of that.
>
> It is possible that the upcoming Emacs 24.4 release could support
> ppc64le, depending on what changes turn out to be needed.
>
> If it is just a matter of using a newer config.guess, then you do not
> need us to do anything. Simply run
>
> ./autogen.sh
>
> in the 24.3 source directory to regenerate the autotools files using
> whatever version of automake you wish.
>
> Quite possibly other changes will be needed as well though (eg to
> configure.ac).

More information was requested two years ago, but no further progress
has been made, so I'm closing this bug report.  If this problem is still
present, please reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/

Subject: Add support for new arch 'ppc64le' in "emacs23" upstream package
From: ravi <[email-masked]>
To: [email-masked], Deepak C Shetty <[email-masked]>
Date: Thu, 16 Jan 2014 19:46:44 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

     We are in the process of adding support for new arch 'ppc64le' 
(powerpc 64-bit Little Endian) and I was looking at building " emacs23" 
package on ppc64le environment and found that "emacs23" package require 
a patch to config.guess file found in the emacs23 release tarball.
Fortunately , automake >=1.13.4 has all the needed bits to support 
building on ppc64le arch.

We would like to request you to upgrade "automake" in your build machine 
to >=1.13.4 and spin-off a new version of "emacs23" and let us know the 
new tar availability. So that we can test it on ppc64le architecture for 
you.

the release tarball that we picked is from 
"http://mirrors.ispros.com.bd/gnu/emacs/emacs-24.3.tar.gz" , which 
doesn't have the ppc64le support.

Your response is highly appreciated.

-- 
Ravindran
IBM LinuxTechnologyCenter